StdKeySerializers
Date: 2016-12-04

com.fasterxml.jackson.databind.ser.std

## Class StdKeySerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.std.StdKeySerializers

-     public class StdKeySerializers
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StdKeySerializers.Default` This is a "chameleon" style multi-type key serializer for simple standard JDK types.
    `static class` | `StdKeySerializers.Dynamic` Key serializer used when key type is not known statically, and actual key serializer needs to be dynamically located.
    `static class` | `StdKeySerializers.EnumKeySerializer` Specialized instance to use for Enum keys, as per [databind#1322]
    `static class` | `StdKeySerializers.StringKeySerializer` Simple and fast key serializer when keys are Strings.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static JsonSerializer<java.lang.Object>` | `DEFAULT_KEY_SERIALIZER`
    `protected static JsonSerializer<java.lang.Object>` | `DEFAULT_STRING_SERIALIZER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonSerializer<java.lang.Object>` | `getDefault()` Deprecated. since 2.7
    `static JsonSerializer<java.lang.Object>` | `getFallbackKeySerializer(SerializationConfig config, java.lang.Class<?> rawKeyType)` Method called if no specified key serializer was located; will return a "default" key serializer.
    `static JsonSerializer<java.lang.Object>` | `getStdKeySerializer(SerializationConfig config, java.lang.Class<?> rawKeyType, boolean useDefault)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_KEY_SERIALIZER

          protected static final JsonSerializer<java.lang.Object> DEFAULT_KEY_SERIALIZER

    - #### DEFAULT_STRING_SERIALIZER

          protected static final JsonSerializer<java.lang.Object> DEFAULT_STRING_SERIALIZER

  - ### Method Detail

    - #### getStdKeySerializer

          public static JsonSerializer<java.lang.Object> getStdKeySerializer(SerializationConfig config,
                                                             java.lang.Class<?> rawKeyType,
                                                             boolean useDefault)

      Parameters:
        `config` - Serialization configuration in use, may be needed in choosing serializer to use
        `rawKeyType` - Type of key values to serialize
        `useDefault` - If no match is found, should we return fallback deserializer (true), or null (false)?

    - #### getFallbackKeySerializer

          public static JsonSerializer<java.lang.Object> getFallbackKeySerializer(SerializationConfig config,
                                                                  java.lang.Class<?> rawKeyType)

      Method called if no specified key serializer was located; will return a "default" key serializer.
      Since:
        2.7

    - #### getDefault

          @Deprecated
          public static JsonSerializer<java.lang.Object> getDefault()

      Deprecated. since 2.7